/* Copyright (c) 2010-2011 mbed.org, MIT License
*
* Permission is hereby granted, free of charge, to any person obtaining a copy of this software
* and associated documentation files (the "Software"), to deal in the Software without
* restriction, including without limitation the rights to use, copy, modify, merge, publish,
* distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in all copies or
* substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
* BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#include "mbed.h"
#include "BluetoothSerial.h"

DigitalOut led1(LED1);
DigitalOut led2(LED2);
BluetoothSerial bluetooth(D1, D0);

int main()
{ 
    int count = 0;

    // Set up Serial/shield baud rate
    bluetooth.setup(38400);
    
    // Set up pin
    bluetooth.pin("1234");
    
    // Set up master mode and "BTMaster" name
    bluetooth.master("BTMaster");
    wait(2);
    
    // Connect to "MSSG4" bluetooth
    bluetooth.connect("MSSG4");
   
    while (1) {
        if (bluetooth.readable()) {
            led2 = !led2;
        }
        
        count++;
        if (count >= 1000000) {
            led1 = !led1;
            count = 0;
        }
    }   
}
